import { url } from 'inspector';
import { browser, logging } from 'protractor';
import { LoginPage } from './login.po';

describe('Login page', () => {
  let page: LoginPage;

  beforeEach(() => {
    page = new LoginPage();
  });

  it('should able to login', () => {
    page.navigateTo();
    var username = page.getUsernameElement();
    var password = page.getPasswordElement();
    var loginBtn = page.getLoginBtnElement();

    username.sendKeys('020768');
    password.sendKeys('1234');

    loginBtn.submit()

    browser.waitForAngular()
    .then(() => {
        browser.driver.sleep(3000);

        browser.getCurrentUrl().then(url => {
            expect(url).toMatch(/\/main$/)
        })
    })


  });

});
