import { browser, by, element } from "protractor";

export class LoginPage {
  navigateTo() {
    return browser.get("/login");
  }

  getUsernameElement() {
    return element(by.css("input[name=username]"));
  }

  getPasswordElement() {
    return element(by.css("input[name=password]"));
  }

  getLoginBtnElement() {
    return element(by.css("button[type=submit]"));
  }
}