import { Component, OnInit } from '@angular/core';

@Component({
  selector: 'notfound',
  template: `
  <web-loader></web-loader>
  <header></header>
  <div class="fluid-container">
    <div class="row justify-content-center align-content-center item-container">
      <div class="col-md-6 text-center">
        <label class="notfound-label">Page not found.</label>
      </div>
    </div>
  </div>
  `,
  styles: [
    `
      .item-container {
        height: 10rem;
      }

      .notfound-label {
        font-size: 18pt;
        text-transform: uppercase;
        letter-spacing: 6px;
        color: #6f6f6f;
      }
    `
  ]
})

export class NotFoundComponent implements OnInit {
  constructor() { }

  ngOnInit() { }
}