// This file can be replaced during build by using the `fileReplacements` array.
// `ng build ---prod` replaces `environment.ts` with `environment.prod.ts`.
// The list of file replacements can be found in `angular.json`.

const hostname =
  typeof window != "undefined" ? window.location.hostname : "localhost";
const protocol =
  typeof window != "undefined" ? window.location.protocol : "localhost";
const origin =
  typeof window != "undefined" ? window.location.origin : "http://localhost";
const pathname = typeof window != "undefined" ? window.location.pathname : "/";

export const environment = {
  production: false,
  title: "Parts Management System (Dev)",
  // apiLocation: '/pmsapi/',
  apiLocation: `${origin}${pathname}pmsapi/`,
  WebSocket: "http://" + hostname + ":8090",
  report: {
    // url: 'http://192.168.1.249/ReportServer',
    url: "http://localhost:8090/ReportViewer.aspx",
    rootPath: "PMS_Rep",
  },
};

/*
 * In development mode, to ignore zone related error stack frames such as
 * `zone.run`, `zoneDelegate.invokeTask` for easier debugging, you can
 * import the following file, but please comment it out in production mode
 * because it will have performance impact when throw error
 */
// import 'zone.js/dist/zone-error';  // Included with Angular CLI.
