import { Component, OnInit, ViewContainerRef } from '@angular/core';
import { HttpService } from 'src/app/core/http.service';
import { Router } from '@angular/router';
import { ModalService } from 'src/app/core/modal.service';

@Component({

  selector: 'snsj003N2',
  templateUrl: './SNSJ003N2.component.html',
  styleUrls: ['./SNSJ003N2.component.css']

})

export class SNSJ003N2Component implements OnInit {

  constructor(

    private http: HttpService,
    private rounter: Router,
    private modal: ModalService,
    private viewref: ViewContainerRef
  ) { }



  ngOnInit() {

  }

  public Process() {
    this.modal.confirm("Confirm to allocate batch process ?", this.viewref
      , () => {
        this.http.post("SL", "SNSJ003N2_Process", null)
          .subscribe(result => {
            if (result.status == "Fail") {
              this.modal.error(result.message, this.viewref);
            } else {
              this.modal.info("Process complete....", this.viewref);
            }
          }, err => {
            this.modal.error("Found error, please contact support team.", this.viewref);
          })
      }, () => { });
  }


}
